# Uses of Class
org.apache.lucene.analysis.synonym.SynonymMap

Packages that use SynonymMap
Package
Description
org.apache.lucene.analysis.synonym
Analysis components for Synonyms.

- ## Uses of SynonymMap in org.apache.lucene.analysis.synonym

  Methods in org.apache.lucene.analysis.synonym that return SynonymMap
  Modifier and Type
  Method
  Description
  `SynonymMap`
  SynonymMap.Builder.`build()`
  Builds an `SynonymMap` and returns it.
  `protected SynonymMap`
  SynonymFilterFactory.`loadSynonyms(ResourceLoader loader, String cname, boolean dedup, Analyzer analyzer)`
  Deprecated.
  Load synonyms with the given `SynonymMap.Parser` class.
  `protected SynonymMap`
  SynonymGraphFilterFactory.`loadSynonyms(ResourceLoader loader, String cname, boolean dedup, Analyzer analyzer)`
  Load synonyms with the given `SynonymMap.Parser` class.
  Constructors in org.apache.lucene.analysis.synonym with parameters of type SynonymMap
  Modifier
  Constructor
  Description
  ``
  `SynonymFilter(TokenStream input, SynonymMap synonyms, boolean ignoreCase)`
  Deprecated.
  ``
  `SynonymGraphFilter(TokenStream input, SynonymMap synonyms, boolean ignoreCase)`
  Apply previously built synonyms to incoming tokens.